raaz-0.2.1: The raaz cryptographic library.

Safe Haskell | None
Language | Haskell2010

Raaz.Cipher.AES.CBC.Implementation.CPortable

Description

Portable C implementation of AES ciphers.

Synopsis

- aes128cbcI :: Implementation (AES 128 'CBC)
- aes192cbcI :: Implementation (AES 192 'CBC)
- aes256cbcI :: Implementation (AES 256 'CBC)

# Documentation

aes128cbcI :: Implementation (AES 128 'CBC) Source #

Implementation of 128-bit AES in CBC mode using Portable C.

aes192cbcI :: Implementation (AES 192 'CBC) Source #

Implementation of 192-bit AES in CBC mode using Portable C.

aes256cbcI :: Implementation (AES 256 'CBC) Source #

Implementation of 256-bit AES in CBC mode using Portable C.